package com.jjt.risk.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 风险分析结果对象 risk_analysis
 *
 * @author jjt
 * @date 2024-09-12
 */
@ApiModel(value = "RiskAnalysis", description = "风险分析结果")
public class RiskAnalysis extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 风险预测ID; */
    @ApiModelProperty("风险预测ID;")
    @TableId
    private Long resultId;

    /** 分析ID */
    @ApiModelProperty("分析ID")
    @Excel(name = "分析ID")
    private Long riskId;

    /** 分析结果 */
    @ApiModelProperty("分析结果")
    @Excel(name = "分析结果")
    private String result;

    /** 均值比较 */
    @ApiModelProperty("均值比较")
    @Excel(name = "均值比较")
    private String avgValue;

    /** 正态检测 */
    @ApiModelProperty("正态检测")
    @Excel(name = "正态检测")
    private String normalValid;

    /** 方差齐性检测 */
    @ApiModelProperty("方差齐性检测")
    @Excel(name = "方差齐性检测")
    private String varianceValid;

    /** 置信水平 */
    @ApiModelProperty("置信水平")
    @Excel(name = "置信水平")
    private String confidenceLevel;

    /** p值 */
    @ApiModelProperty("p值")
    @Excel(name = "p值")
    private String pValue;

    /** 分析时间 */
    @ApiModelProperty("分析时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "分析时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date analyseTime;

    /** 图片地址 */
    @ApiModelProperty("图片地址")
    @Excel(name = "图片地址")
    private String imgPath;

    public void setResultId(Long resultId)
    {
        this.resultId = resultId;
    }

    public Long getResultId()
    {
        return resultId;
    }
    public void setRiskId(Long riskId)
    {
        this.riskId = riskId;
    }

    public Long getRiskId()
    {
        return riskId;
    }
    public void setResult(String result)
    {
        this.result = result;
    }

    public String getResult()
    {
        return result;
    }
    public void setAvgValue(String avgValue)
    {
        this.avgValue = avgValue;
    }

    public String getAvgValue()
    {
        return avgValue;
    }
    public void setNormalValid(String normalValid)
    {
        this.normalValid = normalValid;
    }

    public String getNormalValid()
    {
        return normalValid;
    }
    public void setVarianceValid(String varianceValid)
    {
        this.varianceValid = varianceValid;
    }

    public String getVarianceValid()
    {
        return varianceValid;
    }
    public void setConfidenceLevel(String confidenceLevel)
    {
        this.confidenceLevel = confidenceLevel;
    }

    public String getConfidenceLevel()
    {
        return confidenceLevel;
    }
    public void setpValue(String pValue)
    {
        this.pValue = pValue;
    }

    public String getpValue()
    {
        return pValue;
    }
    public void setAnalyseTime(Date analyseTime)
    {
        this.analyseTime = analyseTime;
    }

    public Date getAnalyseTime()
    {
        return analyseTime;
    }
    public void setImgPath(String imgPath)
    {
        this.imgPath = imgPath;
    }

    public String getImgPath()
    {
        return imgPath;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("resultId", getResultId())
            .append("riskId", getRiskId())
            .append("result", getResult())
            .append("avgValue", getAvgValue())
            .append("normalValid", getNormalValid())
            .append("varianceValid", getVarianceValid())
            .append("confidenceLevel", getConfidenceLevel())
            .append("pValue", getpValue())
            .append("analyseTime", getAnalyseTime())
            .append("imgPath", getImgPath())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
