package com.jjt.risk.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 风险管理对象 risk_model
 *
 * @author jjt
 * @date 2024-09-12
 */
@ApiModel(value = "RiskModel", description = "风险管理")
public class RiskModel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 风险预测ID; */
    @ApiModelProperty("风险预测ID;")
    @TableId
    private Long riskId;

    /** 指标ID */
    @ApiModelProperty("指标ID")
    @Excel(name = "指标ID")
    private Long metricsId;

    /** 指标名称; */
    @ApiModelProperty("指标名称;")
    @Excel(name = "指标名称;")
    private String metricsName;

    /** 选择对象类型 */
    @ApiModelProperty("选择对象类型")
    @Excel(name = "选择对象类型")
    private String objType;

    /** 指标方向 */
    @ApiModelProperty("指标方向")
    @Excel(name = "指标方向")
    private String upDown;

    /** 置信水平 */
    @ApiModelProperty("置信水平")
    @Excel(name = "置信水平")
    private BigDecimal confidenceLevel;

    /** 分析类型 */
    @ApiModelProperty("分析类型")
    @Excel(name = "分析类型")
    private String riskType;

    /** 是否定时分析 */
    @ApiModelProperty("是否定时分析")
    @Excel(name = "是否定时分析")
    private String timeSwitch;

    public void setRiskId(Long riskId)
    {
        this.riskId = riskId;
    }

    public Long getRiskId()
    {
        return riskId;
    }
    public void setMetricsId(Long metricsId)
    {
        this.metricsId = metricsId;
    }

    public Long getMetricsId()
    {
        return metricsId;
    }
    public void setMetricsName(String metricsName)
    {
        this.metricsName = metricsName;
    }

    public String getMetricsName()
    {
        return metricsName;
    }
    public void setObjType(String objType)
    {
        this.objType = objType;
    }

    public String getObjType()
    {
        return objType;
    }
    public void setUpDown(String upDown)
    {
        this.upDown = upDown;
    }

    public String getUpDown()
    {
        return upDown;
    }
    public void setConfidenceLevel(BigDecimal confidenceLevel)
    {
        this.confidenceLevel = confidenceLevel;
    }

    public BigDecimal getConfidenceLevel()
    {
        return confidenceLevel;
    }
    public void setRiskType(String riskType)
    {
        this.riskType = riskType;
    }

    public String getRiskType()
    {
        return riskType;
    }
    public void setTimeSwitch(String timeSwitch)
    {
        this.timeSwitch = timeSwitch;
    }

    public String getTimeSwitch()
    {
        return timeSwitch;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("riskId", getRiskId())
            .append("metricsId", getMetricsId())
            .append("metricsName", getMetricsName())
            .append("objType", getObjType())
            .append("upDown", getUpDown())
            .append("confidenceLevel", getConfidenceLevel())
            .append("riskType", getRiskType())
            .append("timeSwitch", getTimeSwitch())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
