package com.jjt.risk.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 风险管理对象对象 risk_obj
 *
 * @author jjt
 * @date 2024-09-12
 */
@ApiModel(value = "RiskObj", description = "风险管理对象")
public class RiskObj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 风险对象ID */
    @ApiModelProperty("风险对象ID")
    @TableId
    private Long riskObjId;

    /** 风险ID */
    @ApiModelProperty("风险ID")
    @Excel(name = "风险ID")
    private Long riskId;

    /** 对象ID */
    @ApiModelProperty("对象ID")
    @Excel(name = "对象ID")
    private Long objId;

    public void setRiskObjId(Long riskObjId)
    {
        this.riskObjId = riskObjId;
    }

    public Long getRiskObjId()
    {
        return riskObjId;
    }
    public void setRiskId(Long riskId)
    {
        this.riskId = riskId;
    }

    public Long getRiskId()
    {
        return riskId;
    }
    public void setObjId(Long objId)
    {
        this.objId = objId;
    }

    public Long getObjId()
    {
        return objId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("riskObjId", getRiskObjId())
            .append("riskId", getRiskId())
            .append("objId", getObjId())
            .toString();
    }
}
